clang-tools 6.0.0

Namespaces | Functions
HeaderGuard.cpp File Reference
`#include "HeaderGuard.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Support/Path.h"`
Include dependency graph for HeaderGuard.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::utils

## Functions
static std::string | clang::tidy::utils::cleanPath (StringRef Path)
| canonicalize a path by removing ./ and ../ components. More...